#include "dll.ch"
#include "gra.ch"
#include "xbp.ch"
#include "common.ch"
#include "xbpdev.ch"
#include "appevent.ch"

#pragma  library("xpppdf1.lib")

procedure pdfrueckvordruck()
local oPdf
local text
local attr
local links
local unten
local i
local nLinks := 0, nUnten := 0
// local nLinks := -40, nUnten := 20
local aAusr := { GRA_HALIGN_LEFT, GRA_HALIGN_RIGHT, GRA_HALIGN_CENTER }
local gesamtbetr

select 1
use xrueckm
go top
oPdf := XbpPDF():New()
oPdf:NewPage( XBPPRN_FORM_A4, XBPPRN_ORIENT_PORTRAIT,,,,GRA_PU_LOMETRIC, 0, 0 )
oPdf:VipInit( ".\Meldebest.2015.pdf" )
oPdf:Create( ".\Test.pdf" )

if hundename
	oPdf:Font( alltrim( str( hundeschrg ) ) + "." + oFont2:familyName + iif( "f" $ hundeschrs, " Bold", "" ) + iif ( "k" $ hundeschrs, " Italic", "" ) )
	text := "XXXXXXXXX Hier wird der Hundename hingedruckt! XXXXXXXXX"
	if titlpruef
		text += ", und die Titel kommen hierhin!"
	endif
	oPdf:MText( ( 100 * hundeunten ) + nUnten, ( 100 * hundelinks ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, hundeschra ) - 1 ) )
endif
if hundebez
	oPdf:Font( alltrim( str( hundebschg ) ) + "." + oFont2:familyName + iif( "f" $ hundebschs, " Bold", "" ) + iif ( "k" $ hundebschs, " Italic", "" ) )
	oPdf:MText( ( 100 * hundebezun ) + nUnten, ( 100 * hundebezli ) + nLinks, ConvToAnsiCp( alltrim( hundebeztx ) ), Max( 0, ascan( aAusr, hundebscha ) - 1 ) )
endif
if zuchtbuch
	oPdf:Font( alltrim( str( zuchtschg ) ) + "." + oFont2:familyName + iif( "f" $ zuchtschs, " Bold", "" ) + iif ( "k" $ zuchtschs, " Italic", "" ) )
	text := "Hier steht die Zuchtbuchnummer"
	oPdf:MText( ( 100 * zuchtunten ) + nUnten, ( 100 * zuchtlinks ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, zuchtscha ) - 1 ) )
endif
if zuchtbes
	oPdf:Font( alltrim( str( zuchtbessg ) ) + "." + oFont2:familyName + iif( "f" $ zuchtbesss, " Bold", "" ) + iif ( "k" $ zuchtbesss, " Italic", "" ) )
	oPdf:MText( ( 100 * zuchtbesun ) + nUnten, ( 100 * zuchtbesli ) + nLinks, ConvToAnsiCp( alltrim( zuchtbestx ) ), Max( 0, ascan( aAusr, zuchtbessa ) - 1 ) )
endif
if wurfdatum
	oPdf:Font( alltrim( str( wurfdatsg ) ) + "." + oFont2:familyName + iif( "f" $ wurfdatss, " Bold", "" ) + iif ( "k" $ wurfdatss, " Italic", "" ) )
	oPdf:MText( ( 100 * wurfdatunt ) + nUnten, ( 100 * wurfdatlin ) + nLinks, ConvToAnsiCp( "28.02.1999" ), Max( 0, ascan( aAusr, wurfdatsa ) - 1 ) )
endif
if wurfdatbes
	oPdf:Font( alltrim( str( wurfbessg ) ) + "." + oFont2:familyName + iif( "f" $ wurfbesss, " Bold", "" ) + iif ( "k" $ wurfbesss, " Italic", "" ) )
	oPdf:MText( ( 100 * wurfbesunt ) + nUnten, ( 100 * wurfbeslin ) + nLinks, ConvToAnsiCp( alltrim( wurfbestxt ) ), Max( 0, ascan( aAusr, wurfbessa ) - 1 ) )
endif
if geschlecht
	oPdf:Font( alltrim( str( geschschg ) ) + "." + oFont2:familyName + iif( "f" $ geschschs, " Bold", "" ) + iif ( "k" $ geschschs, " Italic", "" ) )
	oPdf:MText( ( 100 * geschunten ) + nUnten, ( 100 * geschlinks ) + nLinks, ConvToAnsiCp( "Hndin" ), Max( 0, ascan( aAusr, geschscha ) - 1 ) )
endif
if geschbes
	oPdf:Font( alltrim( str( geschbessg ) ) + "." + oFont2:familyName + iif( "f" $ geschbesss, " Bold", "" ) + iif ( "k" $ geschbesss, " Italic", "" ) )
	oPdf:MText( ( 100 * geschbesun ) + nUnten, ( 100 * geschbesli ) + nLinks, ConvToAnsiCp( alltrim( geschbestx ) ), Max( 0, ascan( aAusr, geschbessa ) - 1 ) )
endif
if klasse
	oPdf:Font( alltrim( str( klasseschg ) ) + "." + oFont2:familyName + iif( "f" $ klasseschs, " Bold", "" ) + iif ( "k" $ klasseschs, " Italic", "" ) )
	if hundeklass
		text := "Offene Klasse (Gebrauchshundklasse)"
	else
		text := "Gebrauchshund"
	endif
	oPdf:MText( ( 100 * klasseunte ) + nUnten, ( 100 * klasselink ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, klassescha ) - 1 ) )
endif
if klassebes
	oPdf:Font( alltrim( str( klassebesg ) ) + "." + oFont2:familyName + iif( "f" $ klassebess, " Bold", "" ) + iif ( "k" $ klassebess, " Italic", "" ) )
	oPdf:MText( ( 100 * klassebesu ) + nUnten, ( 100 * klassebesl ) + nLinks, ConvToAnsiCp( alltrim( klassebest ) ), Max( 0, ascan( aAusr, klassebesa ) - 1 ) )
endif
if varietaet
	oPdf:Font( alltrim( str( varieschg ) ) + "." + oFont2:familyName + iif( "f" $ varieschs, " Bold", "" ) + iif ( "k" $ varieschs, " Italic", "" ) )
	oPdf:MText( ( 100 * varieunten ) + nUnten, ( 100 * varielinks ) + nLinks, ConvToAnsiCp( "XXXXXXX Hier steht die Variett! XXXXXXX" ), Max( 0, ascan( aAusr, variescha ) - 1 ) )
endif
if variebes
	oPdf:Font( alltrim( str( variebessg ) ) + "." + oFont2:familyName + iif( "f" $ variebesss, " Bold", "" ) + iif ( "k" $ variebesss, " Italic", "" ) )
	oPdf:MText( ( 100 * varieunten ) + nUnten, ( 100 * varielinks ) + nLinks, ConvToAnsiCp( alltrim( variebestx ) ), Max( 0, ascan( aAusr, variebessa ) - 1 ) )
endif
if datum
	oPdf:Font( alltrim( str( datumschg ) ) + "." + oFont2:familyName + iif( "f" $ datumschs, " Bold", "" ) + iif ( "k" $ datumschs, " Italic", "" ) )
	oPdf:MText( ( 100 * datumunte ) + nUnten, ( 100 * datumlink ) + nLinks, ConvToAnsiCp( dtoc( date() ) ), Max( 0, ascan( aAusr, datumscha ) - 1 ) )
endif
if datumbes
	oPdf:Font( alltrim( str( datumbsg ) ) + "." + oFont2:familyName + iif( "f" $ datumbss, " Bold", "" ) + iif ( "k" $ datumbss, " Italic", "" ) )
	oPdf:MText( ( 100 * datumbunt ) + nUnten, ( 100 * datumblin ) + nLinks, ConvToAnsiCp( alltrim( datumbtxt ) ), Max( 0, ascan( aAusr, datumbsa ) - 1 ) )
endif
if ort
	oPdf:Font( alltrim( str( ortschg ) ) + "." + oFont2:familyName + iif( "f" $ ortschs, " Bold", "" ) + iif ( "k" $ ortschs, " Italic", "" ) )
	text := alltrim( alltrim( j&sonderkat->ort1 ) + " " + alltrim( j&sonderkat->ort2 ) )
	oPdf:MText( ( 100 * ortunte ) + nUnten, ( 100 * ortlink ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, ortscha ) - 1 ) )
endif
if ortbes
	oPdf:Font( alltrim( str( ortbsg ) ) + "." + oFont2:familyName + iif( "f" $ ortbss, " Bold", "" ) + iif ( "k" $ ortbss, " Italic", "" ) )
	oPdf:MText( ( 100 * ortbunt ) + nUnten, ( 100 * ortblin ) + nLinks, ConvToAnsiCp( alltrim( ortbtxt ) ), Max( 0, ascan( aAusr, ortbsa ) - 1 ) )
endif
if katalognr
	oPdf:Font( alltrim( str( katalognrg ) ) + "." + oFont2:familyName + iif( "f" $ katalognrs, " Bold", "" ) + iif ( "k" $ katalognrs, " Italic", "" ) )
	text := "99999"
	oPdf:MText( ( 100 * katalognru ) + nUnten, ( 100 * katalognrl ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, katalognra ) - 1 ) )
endif
if katalogbes
	oPdf:Font( alltrim( str( katalogbsg ) ) + "." + oFont2:familyName + iif( "f" $ katalogbss, " Bold", "" ) + iif ( "k" $ katalogbss, " Italic", "" ) )
	oPdf:MText( ( 100 * katalogbun ) + nUnten, ( 100 * katalogbli ) + nLinks, ConvToAnsiCp( alltrim( katalogbtx ) ), Max( 0, ascan( aAusr, katalogbsa ) - 1 ) )
endif
if enr
	oPdf:Font( alltrim( str( enrsg ) ) + "." + oFont2:familyName + iif( "f" $ enrss, " Bold", "" ) + iif ( "k" $ enrss, " Italic", "" ) )
	text := "99999"
	oPdf:MText( ( 100 * enrunten ) + nUnten, ( 100 * enrlinks ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, enrsa ) - 1 ) )
endif
if enrbez
	oPdf:Font( alltrim( str( enrbezsg ) ) + "." + oFont2:familyName + iif( "f" $ enrbezss, " Bold", "" ) + iif ( "k" $ enrbezss, " Italic", "" ) )
	oPdf:MText( ( 100 * enrbezunte ) + nUnten, ( 100 * enrbezlink ) + nLinks, ConvToAnsiCp( alltrim( enrbeztext ) ), Max( 0, ascan( aAusr, enrbezsa ) - 1 ) )
endif
if besitzer
	oPdf:Font( alltrim( str( besitzersg ) ) + "." + oFont2:familyName + iif( "f" $ besitzerss, " Bold", "" ) + iif ( "k" $ besitzerss, " Italic", "" ) )
	text := "XXXXXXXXXX Hier steht der Name des Besitzers! XXXXXXXXXXX"
	oPdf:MText( ( 100 * besitzerun ) + nUnten, ( 100 * besitzerli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, besitzersa ) - 1 ) )
endif
if strasse
	oPdf:Font( alltrim( str( strassesg ) ) + "." + oFont2:familyName + iif( "f" $ strassess, " Bold", "" ) + iif ( "k" $ strassess, " Italic", "" ) )
	text := "XXXXXXXXXXXXXXX Hier steht die Strasse! XXXXXXXXXXXXXXXX"
	oPdf:MText( ( 100 * strasseun ) + nUnten, ( 100 * strasseli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, strassesa ) - 1 ) )
endif
if national
	oPdf:Font( alltrim( str( nationalsg ) ) + "." + oFont2:familyName + iif( "f" $ nationalss, " Bold", "" ) + iif ( "k" $ nationalss, " Italic", "" ) )
	if eversion >= 5.5
		text := "XXXX Nationalitt XXXX"
	else
		text := "XXXX"
	endif
	oPdf:MText( ( 100 * nationalun ) + nUnten, ( 100 * nationalli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, nationalsa ) - 1 ) )
endif
if plz
	oPdf:Font( alltrim( str( plzsg ) ) + "." + oFont2:familyName + iif( "f" $ plzss, " Bold", "" ) + iif ( "k" $ plzss, " Italic", "" ) )
	text := "XXXXXXX"
	oPdf:MText( ( 100 * plzunten ) + nUnten, ( 100 * plzlinks ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, plzsa ) - 1 ) )
endif
if ortbesitz
	oPdf:Font( alltrim( str( ortsg ) ) + "." + oFont2:familyName + iif( "f" $ ortss, " Bold", "" ) + iif ( "k" $ ortss, " Italic", "" ) )
	text := "XXXX Hier steht der Ort! XXXXX"
	oPdf:MText( ( 100 * ortunten ) + nUnten, ( 100 * ortlinks ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, ortsa ) - 1 ) )
endif
if ausdatum
	oPdf:Font( alltrim( str( ausdatumsg ) ) + "." + oFont2:familyName + iif( "f" $ ausdatumss, " Bold", "" ) + iif ( "k" $ ausdatumss, " Italic", "" ) )
	oPdf:MText( ( 100 * ausdatumun ) + nUnten, ( 100 * ausdatumli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, ausdatumsa ) - 1 ) )
endif
if ausdatbez
	oPdf:Font( alltrim( str( ausdatbesg ) ) + "." + oFont2:familyName + iif( "f" $ ausdatbess, " Bold", "" ) + iif ( "k" $ ausdatbess, " Italic", "" ) )
	oPdf:MText( ( 100 * ausdatbezu ) + nUnten, ( 100 * ausdatbezl ) + nLinks, ConvToAnsiCp( alltrim( ausdatbetx ) ), Max( 0, ascan( aAusr, ausdatbesa ) - 1 ) )
endif
if vater
	oPdf:Font( alltrim( str( vatersg ) ) + "." + oFont2:familyName + iif( "f" $ vaterss, " Bold", "" ) + iif ( "k" $ vaterss, " Italic", "" ) )
	text := "XXXXXX Hier wird der Name des Vaters hingedruckt! XXXXXX"
	oPdf:MText( ( 100 * vaterunten ) + nUnten, ( 100 * vaterlinks ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, vatersa ) - 1 ) )
endif
if vaterbez
	oPdf:Font( alltrim( str( vaterbezsg ) ) + "." + oFont2:familyName + iif( "f" $ vaterbezss, " Bold", "" ) + iif ( "k" $ vaterbezss, " Italic", "" ) )
	oPdf:MText( ( 100 * vaterbezun ) + nUnten, ( 100 * vaterbezli ) + nLinks, ConvToAnsiCp( alltrim( vaterbeztx ) ), Max( 0, ascan( aAusr, vaterbezsa ) - 1 ) )
endif
if mutter
	oPdf:Font( alltrim( str( muttersg ) ) + "." + oFont2:familyName + iif( "f" $ mutterss, " Bold", "" ) + iif ( "k" $ mutterss, " Italic", "" ) )
	text := "XXXXXX Hier wird der Name der Mutter hingedruckt! XXXXXX"
	oPdf:MText( ( 100 * mutterunt ) + nUnten, ( 100 * mutterlin ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, muttersa ) - 1 ) )
endif
if mutterbez
	oPdf:Font( alltrim( str( mutterbesg ) ) + "." + oFont2:familyName + iif( "f" $ mutterbess, " Bold", "" ) + iif ( "k" $ mutterbess, " Italic", "" ) )
	oPdf:MText( ( 100 * mutterbeun ) + nUnten, ( 100 * mutterbeli ) + nLinks, ConvToAnsiCp( alltrim( mutterbetx ) ), Max( 0, ascan( aAusr, mutterbesa ) - 1 ) )
endif
if zuechter
	oPdf:Font( alltrim( str( zuechtersg ) ) + "." + oFont2:familyName + iif( "f" $ zuechterss, " Bold", "" ) + iif ( "k" $ zuechterss, " Italic", "" ) )
	text := "XXXXX Hier wird der Name des Zchters hingedruckt! XXXXX"
	oPdf:MText( ( 100 * zuechterun ) + nUnten, ( 100 * zuechterli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, zuechtersa ) - 1 ) )
endif
if zuechterbe
	oPdf:Font( alltrim( str( zuchtbessg ) ) + "." + oFont2:familyName + iif( "f" $ zuchtbesss, " Bold", "" ) + iif ( "k" $ zuchtbesss, " Italic", "" ) )
	oPdf:MText( ( 100 * zuechtbeun ) + nUnten, ( 100 * zuechtbeli ) + nLinks, ConvToAnsiCp( alltrim( zuechtbetx ) ), Max( 0, ascan( aAusr, zuechtbesa ) - 1 ) )
endif
if sonder1
	oPdf:Font( alltrim( str( sonder1sg ) ) + "." + oFont2:familyName + iif( "f" $ sonder1ss, " Bold", "" ) + iif ( "k" $ sonder1ss, " Italic", "" ) )
	oPdf:MText( ( 100 * sonder1unt ) + nUnten, ( 100 * sonder1lin ) + nLinks, ConvToAnsiCp( alltrim( sonder1txt ) ), Max( 0, ascan( aAusr, sonder1sa ) - 1 ) )
endif
if sonder2
	oPdf:Font( alltrim( str( sonder2sg ) ) + "." + oFont2:familyName + iif( "f" $ sonder2ss, " Bold", "" ) + iif ( "k" $ sonder2ss, " Italic", "" ) )
	oPdf:MText( ( 100 * sonder2unt ) + nUnten, ( 100 * sonder2lin ) + nLinks, ConvToAnsiCp( alltrim( sonder2txt ) ), Max( 0, ascan( aAusr, sonder2sa ) - 1 ) )
endif
if sonder1g .and. .not. sonderrzus
	oPdf:Font( alltrim( str( sonder1gsg ) ) + "." + oFont2:familyName + iif( "f" $ sonder1gss, " Bold", "" ) + iif ( "k" $ sonder1gss, " Italic", "" ) )
	text := alltrim( str( g&sonderkat->sonderg1 ) ) + " m"
	oPdf:MText( ( 100 * sonder1gun ) + nUnten, ( 100 * sonder1gli ) + nLinks, ConvToAnsiCp( alltrim( text ) ), Max( 0, ascan( aAusr, sonder1gsa ) - 1 ) )
endif
if sonder3 .and. .not. sonderrzus
	oPdf:Font( alltrim( str( sonder3sg ) ) + "." + oFont2:familyName + iif( "f" $ sonder3ss, " Bold", "" ) + iif ( "k" $ sonder3ss, " Italic", "" ) )
	oPdf:MText( ( 100 * sonder3unt ) + nUnten, ( 100 * sonder3lin ) + nLinks, ConvToAnsiCp( alltrim( sonder3txt ) ), Max( 0, ascan( aAusr, sonder3sa ) - 1 ) )
endif
if sonder2g .and. .not. sonderrzus
	oPdf:Font( alltrim( str( sonder2gsg ) ) + "." + oFont2:familyName + iif( "f" $ sonder2gss, " Bold", "" ) + iif ( "k" $ sonder2gss, " Italic", "" ) )
	text := alltrim( str( g&sonderkat->sonderg2 ) ) + " m"
	oPdf:MText( ( 100 * sonder2gun ) + nUnten, ( 100 * sonder2gli ) + nLinks, ConvToAnsiCp( alltrim( text ) ), Max( 0, ascan( aAusr, sonder2gsa ) - 1 ) )
endif
if eintritt
	oPdf:Font( alltrim( str( eintrittsg ) ) + "." + oFont2:familyName + iif( "f" $ eintrittss, " Bold", "" ) + iif ( "k" $ eintrittss, " Italic", "" ) )
	text := "10"
	oPdf:MText( ( 100 * eintrittun ) + nUnten, ( 100 * eintrittli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, eintrittsa ) - 1 ) )
endif
if eintrittbe
	oPdf:Font( alltrim( str( eintrbezsg ) ) + "." + oFont2:familyName + iif( "f" $ eintrbezss, " Bold", "" ) + iif ( "k" $ eintrbezss, " Italic", "" ) )
	oPdf:MText( ( 100 * eintrbezun ) + nUnten, ( 100 * eintrbezli ) + nLinks, ConvToAnsiCp( alltrim( eintrbeztx ) ), Max( 0, ascan( aAusr, eintrbezsa ) - 1 ) )
endif
if eintrbetr
	oPdf:Font( alltrim( str( eintrbetsg ) ) + "." + oFont2:familyName + iif( "f" $ eintrbetss, " Bold", "" ) + iif ( "k" $ eintrbetss, " Italic", "" ) )
	text := text := transform( 10 * g&sonderkat->eintritt, "@E 9999.99" )
	oPdf:MText( ( 100 * eintrbetun ) + nUnten, ( 100 * eintrbetli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, eintrbetsa ) - 1 ) )
endif
if meldegeld
	oPdf:Font( alltrim( str( meldegelsg ) ) + "." + oFont2:familyName + iif( "f" $ meldegelss, " Bold", "" ) + iif ( "k" $ meldegelss, " Italic", "" ) )
	if zuschlaege
		text := transform( g&sonderkat->meldegeld, "@E 9999.99" )
	else
		text := transform( g&sonderkat->erschwer + g&sonderkat->erschwerni + g&sonderkat->meldegeld, "@E 9999.99" )
	endif
	oPdf:MText( ( 100 * meldegelun ) + nUnten, ( 100 * meldegelli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, meldegelsa ) - 1 ) )
endif
if meldebez
	oPdf:Font( alltrim( str( meldebezsg ) ) + "." + oFont2:familyName + iif( "f" $ meldebezss, " Bold", "" ) + iif ( "k" $ meldebezss, " Italic", "" ) )
	oPdf:MText( ( 100 * meldebezun ) + nUnten, ( 100 * meldebezli ) + nLinks, ConvToAnsiCp( alltrim( meldebeztx ) ), Max( 0, ascan( aAusr, meldebezsa ) - 1 ) )
endif
if zuschlaege
	oPdf:Font( alltrim( str( zuschlaesg ) ) + "." + oFont2:familyName + iif( "f" $ zuschlaess, " Bold", "" ) + iif ( "k" $ zuschlaess, " Italic", "" ) )
	text := transform( g&sonderkat->erschwer + g&sonderkat->erschwerni, "@E 9999.99" )
	oPdf:MText( ( 100 * zuschlaeun ) + nUnten, ( 100 * zuschlaeli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, zuschlaesa ) - 1 ) )
endif
if zuschlabez
	oPdf:Font( alltrim( str( zuschlabsg ) ) + "." + oFont2:familyName + iif( "f" $ zuschlabss, " Bold", "" ) + iif ( "k" $ zuschlabss, " Italic", "" ) )
	oPdf:MText( ( 100 * zuschlabun ) + nUnten, ( 100 * zuschlabli ) + nLinks, ConvToAnsiCp( alltrim( zuschlabtx ) ), Max( 0, ascan( aAusr, zuschlabsa ) - 1 ) )
endif
if KATALOG
	oPdf:Font( alltrim( str( katalogsg ) ) + "." + oFont2:familyName + iif( "f" $ katalogss, " Bold", "" ) + iif ( "k" $ katalogss, " Italic", "" ) )
	text := transform( g&sonderkat->katalogkom, "@E 9999.99" )
	oPdf:MText( ( 100 * katalogunt ) + nUnten, ( 100 * kataloglin ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, katalogsa ) - 1 ) )
endif
if katalogbez
	oPdf:Font( alltrim( str( katalobesg ) ) + "." + oFont2:familyName + iif( "f" $ katalobess, " Bold", "" ) + iif ( "k" $ katalobess, " Italic", "" ) )
	oPdf:MText( ( 100 * katalobeun ) + nUnten, ( 100 * katalobeli ) + nLinks, ConvToAnsiCp( alltrim( katalobetx ) ), Max( 0, ascan( aAusr, katalobesa ) - 1 ) )
endif
if verhalt
	oPdf:Font( alltrim( str( verhaltsg ) ) + "." + oFont2:familyName + iif( "f" $ verhaltss, " Bold", "" ) + iif ( "k" $ verhaltss, " Italic", "" ) )
	text := transform( g&sonderkat->verhaltest, "@E 9999.99" )
	oPdf:MText( ( 100 * verhaltun ) + nUnten, ( 100 * verhaltli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, verhaltsa ) - 1 ) )
endif
if verhaltbe
	oPdf:Font( alltrim( str( verhaltbg ) ) + "." + oFont2:familyName + iif( "f" $ verhaltbs, " Bold", "" ) + iif ( "k" $ verhaltbs, " Italic", "" ) )
	oPdf:MText( ( 100 * verhaltbu ) + nUnten, ( 100 * verhaltbl ) + nLinks, ConvToAnsiCp( alltrim( verhaltbt ) ), Max( 0, ascan( aAusr, verhaltba ) - 1 ) )
endif
if zusatzzusa
	if zuchtgrupp
		oPdf:Font( alltrim( str( zuchtgrsg ) ) + "." + oFont2:familyName + iif( "f" $ zuchtgrss, " Bold", "" ) + iif ( "k" $ zuchtgrss, " Italic", "" ) )
		text := transform( g&sonderkat->zucht + g&sonderkat->paar + g&sonderkat->nach + g&sonderkat->junior + g&sonderkat->junior, "@E 9999.99"  )
		oPdf:MText( ( 100 * zuchtgrun ) + nUnten, ( 100 * zuchtgrli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, zuchtgrsa ) - 1 ) )
	endif
	if zuchtgrbez
		oPdf:Font( alltrim( str( zuchtgrbsg ) ) + "." + oFont2:familyName + iif( "f" $ zuchtgrbss, " Bold", "" ) + iif ( "k" $ zuchtgrbss, " Italic", "" ) )
		oPdf:MText( ( 100 * zuchtgrbun ) + nUnten, ( 100 * zuchtgrbli ) + nLinks, ConvToAnsiCp( alltrim( zuchtgrbtx ) ), Max( 0, ascan( aAusr, zuchtgrbsa ) - 1 ) )
	endif
else
	if zuchtgrupp
		oPdf:Font( alltrim( str( zuchtgrsg ) ) + "." + oFont2:familyName + iif( "f" $ zuchtgrss, " Bold", "" ) + iif ( "k" $ zuchtgrss, " Italic", "" ) )
		text := transform( g&sonderkat->zucht, "@E 9999.99" )
		oPdf:MText( ( 100 * zuchtgrun ) + nUnten, ( 100 * zuchtgrli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, zuchtgrsa ) - 1 ) )
	endif
	if zuchtgrbez
		oPdf:Font( alltrim( str( zuchtgrbsg ) ) + "." + oFont2:familyName + iif( "f" $ zuchtgrbss, " Bold", "" ) + iif ( "k" $ zuchtgrbss, " Italic", "" ) )
		oPdf:MText( ( 100 * zuchtgrbun ) + nUnten, ( 100 * zuchtgrbli ) + nLinks, ConvToAnsiCp( alltrim( zuchtgrbtx ) ), Max( 0, ascan( aAusr, zuchtgrbsa ) - 1 ) )
	endif
	if nachzucht
		oPdf:Font( alltrim( str( nachzusg ) ) + "." + oFont2:familyName + iif( "f" $ nachzuss, " Bold", "" ) + iif ( "k" $ nachzuss, " Italic", "" ) )
		text := transform( g&sonderkat->nach, "@E 9999.99" )
		oPdf:MText( ( 100 * nachzuun ) + nUnten, ( 100 * nachzuli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, nachzusa ) - 1 ) )
	endif
	if nachzubez
		oPdf:Font( alltrim( str( nachzubesg ) ) + "." + oFont2:familyName + iif( "f" $ nachzubess, " Bold", "" ) + iif ( "k" $ nachzubess, " Italic", "" ) )
		oPdf:MText( ( 100 * nachzubeun ) + nUnten, ( 100 * nachzubeli ) + nLinks, ConvToAnsiCp( alltrim( nachzubetx ) ), Max( 0, ascan( aAusr, nachzubesa ) - 1 ) )
	endif
	if paare
		oPdf:Font( alltrim( str( paaresg ) ) + "." + oFont2:familyName + iif( "f" $ paaress, " Bold", "" ) + iif ( "k" $ paaress, " Italic", "" ) )
		text := transform( g&sonderkat->paar, "@E 9999.99" )
		oPdf:MText( ( 100 * paareunten ) + nUnten, ( 100 * paarelinks ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, paaresa ) - 1 ) )
	endif
	if paarebez
		oPdf:Font( alltrim( str( paarebezsg ) ) + "." + oFont2:familyName + iif( "f" $ paarebezss, " Bold", "" ) + iif ( "k" $ paarebezss, " Italic", "" ) )
		oPdf:MText( ( 100 * paarebezun ) + nUnten, ( 100 * paarebezli ) + nLinks, ConvToAnsiCp( alltrim( paarebeztx ) ), Max( 0, ascan( aAusr, paarebezsa ) - 1 ) )
	endif
	if juniorh
		oPdf:Font( alltrim( str( juniorhsg ) ) + "." + oFont2:familyName + iif( "f" $ juniorhss, " Bold", "" ) + iif ( "k" $ juniorhss, " Italic", "" ) )
		text := transform( g&sonderkat->junior, "@E 9999.99" )
		oPdf:MText( ( 100 * juniorhun ) + nUnten, ( 100 * juniorhli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, juniorhsa ) - 1 ) )
	endif
	if juniorhbez
		oPdf:Font( alltrim( str( juniorhbsg ) ) + "." + oFont2:familyName + iif( "f" $ juniorhbss, " Bold", "" ) + iif ( "k" $ juniorhbss, " Italic", "" ) )
		oPdf:MText( ( 100 * juniorhbun ) + nUnten, ( 100 * juniorhbli ) + nLinks, ConvToAnsiCp( alltrim( juniorhbtx ) ), Max( 0, ascan( aAusr, juniorhbsa ) - 1 ) )
	endif
/*	if veteran
		oPdf:Font( alltrim( str( veteransg ) ) + "." + oFont2:familyName + iif( "f" $ veteranss, " Bold", "" ) + iif ( "k" $ veteranss, " Italic", "" ) )
		text := transform( g&sonderkat->veteran, "@E 9999.99" )
		oPdf:MText( ( 100 * veteranun ) + nUnten, ( 100 * veteranli ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, veteransa ) - 1 ) )
	endif
	if veteranbez
		oPdf:Font( alltrim( str( veteranbsg ) ) + "." + oFont2:familyName + iif( "f" $ veteranbss, " Bold", "" ) + iif ( "k" $ veteranbss, " Italic", "" ) )
		oPdf:MText( ( 100 * veteranbun ) + nUnten, ( 100 * veteranbli ) + nLinks, ConvToAnsiCp( alltrim( veteranbtx ) ), Max( 0, ascan( aAusr, veteranbsa ) - 1 ) )
	endif*/
endif
if sonderraum
	oPdf:Font( alltrim( str( sondersg ) ) + "." + oFont2:familyName + iif( "f" $ sonderss, " Bold", "" ) + iif ( "k" $ sonderss, " Italic", "" ) )
	if sondergzus
		text := transform( g&sonderkat->sonder + g&sonderkat->sonder2, "@E 9999.99" )
	else
		text := transform( g&sonderkat->sonder, "@E 9999.99" )
	endif
	oPdf:MText( ( 100 * sonderunte ) + nUnten, ( 100 * sonderlink ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, sondersa ) - 1 ) )
endif
if sonderbez
	oPdf:Font( alltrim( str( sonderbsg ) ) + "." + oFont2:familyName + iif( "f" $ sonderbss, " Bold", "" ) + iif ( "k" $ sonderbss, " Italic", "" ) )
	oPdf:MText( ( 100 * sonderbunt ) + nUnten, ( 100 * sonderblin ) + nLinks, ConvToAnsiCp( alltrim( sonderbtxt ) ), Max( 0, ascan( aAusr, sonderbsa ) - 1 ) )
endif
if sonderaum2 .and. .not. sondergzus
	oPdf:Font( alltrim( str( sondersg2 ) ) + "." + oFont2:familyName + iif( "f" $ sonderss2, " Bold", "" ) + iif ( "k" $ sonderss2, " Italic", "" ) )
	text := transform( g&sonderkat->sonder2, "@E 9999.99" )
	oPdf:MText( ( 100 * sondeunte2 ) + nUnten, ( 100 * sondelink2 ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, sondersa2 ) - 1 ) )
endif
if sonderbez2 .and. .not. sondergzus
	oPdf:Font( alltrim( str( sonderbsg2 ) ) + "." + oFont2:familyName + iif( "f" $ sonderbss2, " Bold", "" ) + iif ( "k" $ sonderbss2, " Italic", "" ) )
	oPdf:MText( ( 100 * sondebunt2 ) + nUnten, ( 100 * sondeblin2 ) + nLinks, ConvToAnsiCp( alltrim( sondebtxt2 ) ), Max( 0, ascan( aAusr, sonderbsa2 ) - 1 ) )
endif
if gesamt
	oPdf:Font( alltrim( str( gesamtsg ) ) + "." + oFont2:familyName + iif( "f" $ gesamtss, " Bold", "" ) + iif ( "k" $ gesamtss, " Italic", "" ) )
	text := transform( g&sonderkat->meldegeld + g&sonderkat->verhaltest + g&sonderkat->erschwer + g&sonderkat->erschwerni + ( 10 * g&sonderkat->eintritt ) + g&sonderkat->katalogkom + g&sonderkat->zucht + g&sonderkat->paar + g&sonderkat->nach + ( 2 * g&sonderkat->junior ) + g&sonderkat->sonder + g&sonderkat->sonder2, "@E 9999.99" )
	oPdf:MText( ( 100 * gesamtunte ) + nUnten, ( 100 * gesamtlink ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, gesamtsa ) - 1 ) )
endif
if gesamtbez
	oPdf:Font( alltrim( str( gesamtbsg ) ) + "." + oFont2:familyName + iif( "f" $ gesamtbss, " Bold", "" ) + iif ( "k" $ gesamtbss, " Italic", "" ) )
	oPdf:MText( ( 100 * gesamtbunt ) + nUnten, ( 100 * gesamtblin ) + nLinks, ConvToAnsiCp( alltrim( gesamtbetx ) ), Max( 0, ascan( aAusr, gesamtbsa ) - 1 ) )
endif
if mwstbez .and. ( eversion >= 5 )
	oPdf:Font( alltrim( str( mwstbsg ) ) + "." + oFont2:familyName + iif( "f" $ mwstbss, " Bold", "" ) + iif ( "k" $ mwstbss, " Italic", "" ) )
	gesamtbetr := g&sonderkat->meldegeld + g&sonderkat->erschwer + g&sonderkat->erschwerni + ( 10 * g&sonderkat->eintritt ) + g&sonderkat->katalogkom + g&sonderkat->zucht + g&sonderkat->paar + g&sonderkat->nach + ( 2 * g&sonderkat->junior ) + g&sonderkat->sonder + g&sonderkat->sonder2
	text := strtran( alltrim( mwstbtxt ), "#p", alltrim( transform( mwstsatz, "@E 99.99" ) ) + "%" )
	text := strtran( text, "#P", alltrim( transform( mwstsatz, "@E 99.99" ) ) + "%" )
	text := strtran( text, "#g", alltrim( transform( gesamtbetr, "@E 999.99" ) ) + " " + waehrung )
	text := strtran( text, "#G", alltrim( transform( gesamtbetr, "@E 999.99" ) ) + " " + waehrung )
	text := strtran( text, "#w", alltrim( transform( ( gesamtbetr * mwstsatz ) / ( 100 + mwstsatz ), "@E 999.99" ) ) + " " + waehrung )
	text := strtran( text, "#W", alltrim( transform( ( gesamtbetr * mwstsatz ) / ( 100 + mwstsatz ), "@E 999.99" ) ) + " " + waehrung )
	oPdf:MText( ( 100 * mwstbunt ) + nUnten, ( 100 * mwstblin ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, mwstbsa ) - 1 ) )
endif
if text1offen
	oPdf:Font( alltrim( str( text1ofsg ) ) + "." + oFont2:familyName + iif( "f" $ text1ofss, " Bold", "" ) + iif ( "k" $ text1ofss, " Italic", "" ) )
	text := alltrim( text1oftxt )
	i := at( "#", text )
	if i > 0
		text := left( text, i - 1 ) + "999,99 " + waehrung + substr( text, i + 1 )
	endif
	oPdf:MText( ( 100 * text1ofunt ) + nUnten, ( 100 * text1oflin ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, text1ofsa ) - 1 ) )
endif
if text2offen
	oPdf:Font( alltrim( str( text2ofsg ) ) + "." + oFont2:familyName + iif( "f" $ text2ofss, " Bold", "" ) + iif ( "k" $ text2ofss, " Italic", "" ) )
	text := alltrim( text2oftxt )
	i := at( "#", text )
	if i > 0
		text := left( text, i - 1 ) + "999,99 " + waehrung + substr( text, i + 1 )
	endif
	oPdf:MText( ( 100 * text2ofunt ) + nUnten, ( 100 * text2oflin ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, text2ofsa ) - 1 ) )
endif
if text3offen
	oPdf:Font( alltrim( str( text3ofsg ) ) + "." + oFont2:familyName + iif( "f" $ text3ofss, " Bold", "" ) + iif ( "k" $ text3ofss, " Italic", "" ) )
	text := alltrim( text3oftxt )
	i := at( "#", text )
	if i > 0
		text := left( text, i - 1 ) + "999,99 " + waehrung + substr( text, i + 1 )
	endif
	oPdf:MText( ( 100 * text3ofunt ) + nUnten, ( 100 * text3oflin ) + nLinks, ConvToAnsiCp( text ), Max( 0, ascan( aAusr, text3ofsa ) - 1 ) )
endif
if katschwarz
	oPdf:Box( ( 100 * katschwunt ) + nUnten, ( 100 * katschwlin ) + nLinks, ( 100 * katschwunt ) + ( 100 * katschwobe ) + nUnten, ( 100 * katschwlin ) + ( 100 * katschwrec ) + nLinks, 100 )
endif

oPdf:EndDoc(.t.)
return